<?php



use App\Libraries\ejLib;
$var = ejLib::getInstance();
$soapclient = $var->getWs();
$wsClave = $var->get_wsClave();

$Horas = $var->getNOption(24);
$Minutos = $var->getNOption(60);
$i=0;

$obj = $soapclient->AdministrarConsultorios_getLstModulos($_POST['Centro_Sal'], '', '1',$wsClave);
$ModulosArchivo = new SimpleXMLElement(utf8_encode($obj));
if(count($ModulosArchivo)==0){echo 'Es necesario que registre módulo de archivo antes'; return;}



$error=0;
if( isset($_POST['up']) && $_POST['up'] == '1' &&  isset($_POST['Centro_Sal']) && isset($_POST['ID_Doc']) && isset($_POST['Id_Archivo']) && isset($_POST['Fecha_Inicio']) && isset($_POST['Fecha_Termino']) && isset($_POST['Horario']) ){

	//Agregar nuevo registro si existen las variables
	$obj = $soapclient->AdministrarCuentasDeUsuario_up_HorarioModulo($_POST['Id_Per_Mod'], $_POST['Id_Archivo'], $_POST['Fecha_Inicio'], $_POST['Fecha_Termino'], $_POST['Horario'], $wsClave);
	$objetoXML = new SimpleXMLElement(utf8_encode($obj));
	if(utf8_decode($objetoXML->respuesta->error) == '0')
		echo "<b>Registro actualizado con éxito</b>";
	else{ echo '<table align="right"><tr><td><b style="font-size: 16px; color: orange;">'.utf8_decode($objetoXML->respuesta->descripcion).utf8_decode($objetoXML->respuesta->errorencaptura)."</b></td></tr></table><br/>"; $error=1;}

}

$HorasDo = 0;
$HorasLu = 0;
$HorasMa = 0;
$HorasMi = 0;
$HorasJu = 0;
$HorasVi = 0;
$HorasSa = 0;

$HorasDo_Hi = $Horas; $MinutosDo_Mi = $Minutos; $HorasDo_Ht = $Horas; $MinutosDo_Mt = $Minutos;
$HorasLu_Hi = $Horas; $MinutosLu_Mi = $Minutos; $HorasLu_Ht = $Horas; $MinutosLu_Mt = $Minutos;
$HorasMa_Hi = $Horas; $MinutosMa_Mi = $Minutos; $HorasMa_Ht = $Horas; $MinutosMa_Mt = $Minutos;
$HorasMi_Hi = $Horas; $MinutosMi_Mi = $Minutos; $HorasMi_Ht = $Horas; $MinutosMi_Mt = $Minutos;
$HorasJu_Hi = $Horas; $MinutosJu_Mi = $Minutos; $HorasJu_Ht = $Horas; $MinutosJu_Mt = $Minutos;
$HorasVi_Hi = $Horas; $MinutosVi_Mi = $Minutos; $HorasVi_Ht = $Horas; $MinutosVi_Mt = $Minutos;
$HorasSa_Hi = $Horas; $MinutosSa_Mi = $Minutos; $HorasSa_Ht = $Horas; $MinutosSa_Mt = $Minutos;

if($error != 0){
	$horarios = explode("-", $_POST['Horario']);
}else{
	$obj = $soapclient->AdministrarCuentasDeUsuario_get_HorarioModulo($_POST['Id_Per_Mod'], $wsClave);
	$MArchivo = new SimpleXMLElement(utf8_encode($obj));
	$horarios = explode("-", $MArchivo->respuesta->horarios);
}


	foreach ($horarios as $h) {
		$hSec = explode(",", $h);

		if($hSec[0] == "DO"){ // Domingo
			$Hini= explode(":", $hSec[1]);
			$Ht= explode(":", $hSec[2]);
			$HorasDo = 1;
			$HorasDo_Hi = $var->getNOption(24, ($Hini[0]));
			$MinutosDo_Mi = $var->getNOption(60, ($Hini[1]));
			$HorasDo_Ht = $var->getNOption(24, ($Ht[0]));
			$MinutosDo_Mt = $var->getNOption(60, ($Ht[1]));
		}

		if($hSec[0] == "LU"){ // Lunes
			$Hini= explode(":", $hSec[1]);
			$Ht= explode(":", $hSec[2]);
			$HorasLu = 1;
			$HorasLu_Hi = $var->getNOption(24, ($Hini[0]));
			$MinutosLu_Mi = $var->getNOption(60, ($Hini[1]));
			$HorasLu_Ht = $var->getNOption(24, ($Ht[0]));
			$MinutosLu_Mt = $var->getNOption(60, ($Ht[1]));
		}

		if($hSec[0] == "MA"){ // Martes
			$Hini= explode(":", $hSec[1]);
			$Ht= explode(":", $hSec[2]);
			$HorasMa = 1;
			$HorasMa_Hi = $var->getNOption(24, ($Hini[0]));
			$MinutosMa_Mi = $var->getNOption(60, ($Hini[1]));
			$HorasMa_Ht = $var->getNOption(24, ($Ht[0]));
			$MinutosMa_Mt = $var->getNOption(60, ($Ht[1]));
		}

		if($hSec[0] == "MI"){ // Miércoles
			$Hini= explode(":", $hSec[1]);
			$Ht= explode(":", $hSec[2]);
			$HorasMi = 1;
			$HorasMi_Hi = $var->getNOption(24, ($Hini[0]));
			$MinutosMi_Mi = $var->getNOption(60, ($Hini[1]));
			$HorasMi_Ht = $var->getNOption(24, ($Ht[0]));
			$MinutosMi_Mt = $var->getNOption(60, ($Ht[1]));
		}

		if($hSec[0] == "JU"){ // Jueves
			$Hini= explode(":", $hSec[1]);
			$Ht= explode(":", $hSec[2]);
			$HorasJu = 1;
			$HorasJu_Hi = $var->getNOption(24, ($Hini[0]));
			$MinutosJu_Mi = $var->getNOption(60, ($Hini[1]));
			$HorasJu_Ht = $var->getNOption(24, ($Ht[0]));
			$MinutosJu_Mt = $var->getNOption(60, ($Ht[1]));
		}

		if($hSec[0] == "VI"){ // Viernes
			$Hini= explode(":", $hSec[1]);
			$Ht= explode(":", $hSec[2]);
			$HorasVi = 1;
			$HorasVi_Hi = $var->getNOption(24, ($Hini[0]));
			$MinutosVi_Mi = $var->getNOption(60, ($Hini[1]));
			$HorasVi_Ht = $var->getNOption(24, ($Ht[0]));
			$MinutosVi_Mt = $var->getNOption(60, ($Ht[1]));
		}

		if($hSec[0] == "SA"){ // Sábado
			$Hini= explode(":", $hSec[1]);
			$Ht= explode(":", $hSec[2]);
			$HorasSa = 1;
			$HorasSa_Hi = $var->getNOption(24, ($Hini[0]));
			$MinutosSa_Mi = $var->getNOption(60, ($Hini[1]));
			$HorasSa_Ht = $var->getNOption(24, ($Ht[0]));
			$MinutosSa_Mt = $var->getNOption(60, ($Ht[1]));
		}

	}



?>

<link href="css/jquery.datepick.css" rel="stylesheet">
<script src="js/jquery.plugin.min.js"></script>
<script src="js/jquery.datepick.js"></script>
<script src="js/jquery.datepick-es.js"></script>

<script>
$(function() {
  $('#txtFInicio2').datepick({dateFormat: 'dd/mm/yyyy'});
  $('#txtFTermino2').datepick({dateFormat: 'dd/mm/yyyy'});
});

</script>

<script type="text/javascript">
	function setTodosDias(dia){
		// Recuperando los valores para la asignación
		var Hi = $('#cmb'+dia+'_Hi').val();
		var Mi = $('#cmb'+dia+'_Mi').val();
		var Ht = $('#cmb'+dia+'_Ht').val();
		var Mt = $('#cmb'+dia+'_Mt').val();
		var DoAc = document.getElementById('cboDo_2');
		var LuAc = document.getElementById('cboLu_2');
		var MaAc = document.getElementById('cboMa_2');
		var MiAc = document.getElementById('cboMi_2');
		var JuAc = document.getElementById('cboJu_2');
		var ViAc = document.getElementById('cboVi_2');
		var SaAc = document.getElementById('cboSa_2');
		// Asignando los valores
		if ( DoAc.checked ){
			$('#cmbDo_Hi').val(Hi); $('#cmbDo_Mi').val(Mi);
			$('#cmbDo_Ht').val(Ht); $('#cmbDo_Mt').val(Mt);
		}
		if ( LuAc.checked ){
			$('#cmbLu_Hi').val(Hi); $('#cmbLu_Mi').val(Mi);
			$('#cmbLu_Ht').val(Ht); $('#cmbLu_Mt').val(Mt);
		}
		if ( MaAc.checked ){
			$('#cmbMa_Hi').val(Hi); $('#cmbMa_Mi').val(Mi);
			$('#cmbMa_Ht').val(Ht); $('#cmbMa_Mt').val(Mt);
		}
		if ( MiAc.checked ){
			$('#cmbMi_Hi').val(Hi); $('#cmbMi_Mi').val(Mi);
			$('#cmbMi_Ht').val(Ht); $('#cmbMi_Mt').val(Mt);
		}
		if ( JuAc.checked ){
			$('#cmbJu_Hi').val(Hi); $('#cmbJu_Mi').val(Mi);
			$('#cmbJu_Ht').val(Ht); $('#cmbJu_Mt').val(Mt);
		}
		if ( ViAc.checked ){
			$('#cmbVi_Hi').val(Hi); $('#cmbVi_Mi').val(Mi);
			$('#cmbVi_Ht').val(Ht); $('#cmbVi_Mt').val(Mt);
		}
		if ( SaAc.checked ){
			$('#cmbSa_Hi').val(Hi); $('#cmbSa_Mi').val(Mi);
			$('#cmbSa_Ht').val(Ht); $('#cmbSa_Mt').val(Mt);
		}
	}

	function upHModulo(){

		jqSetMensaje('mensajeAddPriv','');
		var FInicio = $('#txtFInicio2').val();
		var FTermino = $('#txtFTermino2').val();
		var horario = '';

		if( FInicio == '' || !validaFechaDDMMAAAA(FInicio) ){
			$.notify("No ha proporcionado la Fecha de Inicio o esta no es válida","info");
			$('#txtFInicio2').focus();
			return;
		}

		if( FTermino != '' &&  !validaFechaDDMMAAAA(FTermino) ){
			$.notify("La Fecha de Termino proporcionada no es válida","info");
			$('#txtFTermino2').focus();
			return;
		}


		var DoAc = document.getElementById('cboDo_2');
		var LuAc = document.getElementById('cboLu_2');
		var MaAc = document.getElementById('cboMa_2');
		var MiAc = document.getElementById('cboMi_2');
		var JuAc = document.getElementById('cboJu_2');
		var ViAc = document.getElementById('cboVi_2');
		var SaAc = document.getElementById('cboSa_2');

		if ( DoAc.checked )
			horario += '-DO,' + $('#cmbDo_Hi').val() + ':' + $('#cmbDo_Mi').val() + ',' + $('#cmbDo_Ht').val() + ':' + $('#cmbDo_Mt').val();
		if ( LuAc.checked )
			horario += '-LU,' + $('#cmbLu_Hi').val() + ':' + $('#cmbLu_Mi').val() + ',' + $('#cmbLu_Ht').val() + ':' + $('#cmbLu_Mt').val();
		if ( MaAc.checked )
			horario += '-MA,' + $('#cmbMa_Hi').val() + ':' + $('#cmbMa_Mi').val() + ',' + $('#cmbMa_Ht').val() + ':' + $('#cmbMa_Mt').val();
		if ( MiAc.checked )
			horario += '-MI,' + $('#cmbMi_Hi').val() + ':' + $('#cmbMi_Mi').val() + ',' + $('#cmbMi_Ht').val() + ':' + $('#cmbMi_Mt').val();
		if ( JuAc.checked )
			horario += '-JU,' + $('#cmbJu_Hi').val() + ':' + $('#cmbJu_Mi').val() + ',' + $('#cmbJu_Ht').val() + ':' + $('#cmbJu_Mt').val();
		if ( ViAc.checked )
			horario += '-VI,' + $('#cmbVi_Hi').val() + ':' + $('#cmbVi_Mi').val() + ',' + $('#cmbVi_Ht').val() + ':' + $('#cmbVi_Mt').val();
		if ( SaAc.checked )
			horario += '-SA,' + $('#cmbSa_Hi').val() + ':' + $('#cmbSa_Mi').val() + ',' + $('#cmbSa_Ht').val() + ':' + $('#cmbSa_Mt').val();

		if(horario.length != 0)
			horario= horario.substring(1, (horario.length) );
		else{$('#cboDo_2').focus(); $.notify("No se ha proporcionado ningún horario","info"); return;}

		var obj = { up: '1', Id_Med_Con: '{!! $_POST['Id_Med_Con']; !!}', Id_Per_Mod: '{!! $_POST['Id_Per_Mod']; !!}', Centro_Sal: {!! $_POST['Centro_Sal']; !!}, ID_Doc: {!! $_POST['ID_Doc']; !!}, Id_Archivo: $('#cmbArchivo_2').val(), Fecha_Inicio: FInicio, Fecha_Termino: FTermino, Horario: horario };


		jqGetAjax('usuario-AdministrarCuentasDeUsuario_up_PrivilegioUsuarioModulo','admPrivilegios', obj);

		setTimeout(
    		function() {
				listarPrivilegios();
   			 }, 600);
	}
</script>

	<div class="rTable rTableBorder">
		<div class="rTableRow">
			<div class="rTableCell titulo_fondo">
			    <img src="Img/close.png" class="cerrar_form" onclick="jqSetMensaje('admPrivilegios','',null);" height="20">
			    <span class="subTitulo">Actualizar un horario de Módulo de Archivo</span>
			</div>
		</div>
		<div class="rTableRow">
			<div class="rTableCell" style="width: 100%; border: 1px white solid; ">
				<div class="rTable">
					<div class="rTableRow">
						<div class="rTableCell" style="text-align:center;">
							<div class="rTable">
								<div class="rTableRow">
									<div class="rTableCell" style="width: 100px; text-align:center;">
										<span style="color: red;">*</span> Archivo
										<select style="width: 100%;" id="cmbArchivo_2" name="cmbArchivo_2">
											@foreach($ModulosArchivo as $registro)
											<option value="{!! $registro->id_archivo; !!}"
											<?php
											if( $error == 0 && utf8_decode($MArchivo->respuesta->id_archivo) == utf8_decode($registro->id_archivo) )echo 'selected';
											if( $error == 1 && isset($_POST['Id_Archivo']) &&
												$_POST['Id_Archivo'] == $registro->id_archivo )
												echo 'selected';
											?> >{!! $registro->no; !!}</option>
											@endforeach
										</select>
									</div>
									<div class="rTableCell">&nbsp;</div>
								</div>
							</div>
						</div>
						<div class="rTableCell" style="text-align:right; width: 60%;">
							<div class="rTable">
								<div class="rTableRow">
									<div class="rTableCell" style="width: 100px; text-align:center;">
										<span style="color: red;">*</span> Fecha de Inicio
										<input type="text" id="txtFInicio2" name="txtFInicio2" value="<?php if($error == 0)echo str_replace("-", "/",utf8_decode($MArchivo->respuesta->fecha_inicio)); if($error == 1 && isset($_POST['Fecha_Inicio'])) echo $_POST['Fecha_Inicio']; ?>" placeholder="dd/mm/aaaa" title="Capture la fecha en formato `dd`=dias, `mm`=meses y `aaaa`= año">

									</div>
									<div class="rTableCell" style="width: 100px; text-align:center;">
										Fecha de Termino
										<input type="text" id="txtFTermino2" name="txtFTermino2" value="<?php if($error == 0)echo str_replace("-", "/",utf8_decode($MArchivo->respuesta->fecha_termino)); if($error == 1 && isset($_POST['Fecha_Termino'])) echo $_POST['Fecha_Termino']; ?>" placeholder="dd/mm/aaaa" title="Capture la fecha en formato `dd`=dias, `mm`=meses y `aaaa`= año">
									</div>
									<div class="rTableCell">&nbsp;</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="rTableRow">
			<div class="rTableCell">
			  <div class="rTable">
				<div class="rTableRow">
					<div class="rTableCell" style="width: 40%; text-alig: center;">
						<div class="rTable rTableBorder" style="width: 99%; border-color: #0295ff; background-color: #d1ebff;">
							<div class="rTableRow">
								<div class="rTableCell" style="font-size: 14px; text-align: justify; color: black;">
									<b style="font-size: 16px; color: black;">Notas importantes</b><br/>
									<span style="color: red;">*</span> Campos obligatorios<br/><br/>
									Todo horario de consulta debe de tener: <br/>
									<ul>
										<li style="color: black;"><b><i style="color: black;">Fecha de Inicio</i></b>, a partir de la cual será tomada de referencia para el inicio de sus labores.</li>
										<li style="color: black;"><b><i style="color: black;">Equipos registrados</i></b>, de los cuales podrá iniciar sesión el médico al que pertenece el horario, sin excepciones.</li>
										<li style="color: black;"><b><i style="color: black;">Días de consulta</i></b>, con su hora de inicio y termino para la realización de su consulta.</li>
									</ul>
								</div>
							</div>
						</div>
					</div>
					<div class="rTableCell" style="width: 60%;">

						<table width="99%" align="Center" class="table">
						  <tr><th width="250px" align="center">Día</th><th width="140px" align="center">Hora de Inicio (hh:mm)</th><th width="10px">&nbsp;</th><th width="140px" align="center">Hora de Termino (hh:mm)</th><th width="70px">&nbsp;</th></tr>

						  <tr><td><span><input type="checkbox" id="cboDo_2" name="cboDo_2" title="[Click] para asignar y tomar en cuenta elemento actual" <?php if($HorasDo == 1)echo 'checked="checked"'; ?> > Domingo</span></td>
						    <td align="center">
						      <span>
						        <select id="cmbDo_Hi" name ="cmbDo_Hi" style="width:40px">{!! $HorasDo_Hi; !!}</select>
						        :
						        <select id="cmbDo_Mi" name ="cmbDo_Mi" style="width:40px">{!! $MinutosDo_Mi; !!}</select>
						      </span>
						    </td>
						    <td align="center">a</td>
						    <td align="center">
						      <span>
						        <select id="cmbDo_Ht" name ="cmbDo_Ht" style="width:40px">{!! $HorasDo_Ht; !!}</select>
						        :
						        <select id="cmbDo_Mt" name ="cmbDo_Mt" style="width:40px">{!! $MinutosDo_Mt; !!}</select>
						      </span>
						    </td>
						    <td align="center"><button type="button" id="btn_Todos" style="width: 50px;" onclick="setTodosDias('Do');">Todos</button></td>
						  </tr>


						  <tr><td><input type="checkbox" id="cboLu_2" name="cboLu_2" title="[Click] para asignar y tomar en cuenta elemento actual" <?php if($HorasLu == 1)echo 'checked="checked"'; ?> > Lunes</td>
						    <td align="center">
						      <span>
						        <select id="cmbLu_Hi" name ="cmbLu_Hi" style="width:40px">{!! $HorasLu_Hi; !!}</select>
						        :
						        <select id="cmbLu_Mi" name ="cmbLu_Mi" style="width:40px">{!! $MinutosLu_Mi; !!}</select>
						      </span>
						    </td>
						    <td align="center">a</td>
						    <td align="center">
						      <span>
						        <select id="cmbLu_Ht" name ="cmbLu_Ht" style="width:40px">{!! $HorasLu_Ht; !!}</select>
						        :
						        <select id="cmbLu_Mt" name ="cmbLu_Mt" style="width:40px">{!! $MinutosLu_Mt; !!}</select>
						      </span>
						    </td>
						    <td align="center"><button type="button" id="btn_Todos" style="width: 50px;" onclick="setTodosDias('Lu');">Todos</button></td>
						  </tr>


						  <tr><td><input type="checkbox" id="cboMa_2" name="cboMa_2" title="[Click] para asignar y tomar en cuenta elemento actual" <?php if($HorasMa == 1)echo 'checked="checked"'; ?> > Martes</td>
						    <td align="center">
						      <span>
						        <select id="cmbMa_Hi" name ="cmbMa_Hi" style="width:40px">{!! $HorasMa_Hi; !!}</select>
						        :
						        <select id="cmbMa_Mi" name ="cmbMa_Mi" style="width:40px">{!! $MinutosMa_Mi; !!}</select>
						      </span>
						    </td>
						    <td align="center">a</td>
						    <td align="center">
						      <span>
						        <select id="cmbMa_Ht" name ="cmbMa_Ht" style="width:40px">{!! $HorasMa_Ht; !!}</select>
						        :
						        <select id="cmbMa_Mt" name ="cmbMa_Mt" style="width:40px">{!! $MinutosMa_Mt; !!}</select>
						      </span>
						    </td>
						    <td align="center"><button type="button" id="btn_Todos" style="width: 50px;" onclick="setTodosDias('Ma');">Todos</button></td>
						  </tr>


						  <tr><td><input type="checkbox" id="cboMi_2" name="cboMi_2" title="[Click] para asignar y tomar en cuenta elemento actual" <?php if($HorasMi == 1)echo 'checked="checked"'; ?> > Miércoles</td>
						    <td align="center">
						      <span>
						        <select id="cmbMi_Hi" name ="cmbMi_Hi" style="width:40px">{!! $HorasMi_Hi; !!}</select>
						        :
						        <select id="cmbMi_Mi" name ="cmbMi_Mi" style="width:40px">{!! $MinutosMi_Mi; !!}</select>
						      </span>
						    </td>
						    <td align="center">a</td>
						    <td align="center">
						      <span>
						        <select id="cmbMi_Ht" name ="cmbMi_Ht" style="width:40px">{!! $HorasMi_Ht; !!}</select>
						        :
						        <select id="cmbMi_Mt" name ="cmbMi_Mt" style="width:40px">{!! $MinutosMi_Mt; !!}</select>
						      </span>
						    </td>
						    <td align="center"><button type="button" id="btn_Todos" style="width: 50px;" onclick="setTodosDias('Mi');">Todos</button></td>
						  </tr>


						  <tr><td><input type="checkbox" id="cboJu_2" name="cboJu_2" title="[Click] para asignar y tomar en cuenta elemento actual" <?php if($HorasJu == 1)echo 'checked="checked"'; ?> > Jueves</td>
						    <td align="center">
						      <span>
						        <select id="cmbJu_Hi" name ="cmbJu_Hi" style="width:40px">{!! $HorasJu_Hi; !!}</select>
						        :
						        <select id="cmbJu_Mi" name ="cmbJu_Mi" style="width:40px">{!! $MinutosJu_Mi; !!}</select>
						      </span>
						    </td>
						    <td align="center">a</td>
						    <td align="center">
						      <span>
						        <select id="cmbJu_Ht" name ="cmbJu_Ht" style="width:40px">{!! $HorasJu_Ht; !!}</select>
						        :
						        <select id="cmbJu_Mt" name ="cmbJu_Mt" style="width:40px">{!! $MinutosJu_Mt; !!}</select>
						      </span>
						    </td>
						    <td align="center"><button type="button" id="btn_Todos" style="width: 50px;" onclick="setTodosDias('Ju');">Todos</button></td>
						  </tr>


						  <tr><td><input type="checkbox" id="cboVi_2" name="cboVi_2" title="[Click] para asignar y tomar en cuenta elemento actual" <?php if($HorasVi == 1)echo 'checked="checked"'; ?> > Viernes</td>
						    <td align="center">
						      <span>
						        <select id="cmbVi_Hi" name ="cmbVi_Hi" style="width:40px">{!! $HorasVi_Hi; !!}</select>
						        :
						        <select id="cmbVi_Mi" name ="cmbVi_Mi" style="width:40px">{!! $MinutosVi_Mi; !!}</select>
						      </span>
						    </td>
						    <td align="center">a</td>
						    <td align="center">
						      <span>
						        <select id="cmbVi_Ht" name ="cmbVi_Ht" style="width:40px">{!! $HorasVi_Ht; !!}</select>
						        :
						        <select id="cmbVi_Mt" name ="cmbVi_Mt" style="width:40px">{!! $MinutosVi_Mt; !!}</select>
						      </span>
						    </td>
						    <td align="center"><button type="button" id="btn_Todos" style="width: 50px;" onclick="setTodosDias('Vi');">Todos</button></td>
						  </tr>


						  <tr><td><input type="checkbox" id="cboSa_2" name="cboSa_2" title="[Click] para asignar y tomar en cuenta elemento actual" <?php if($HorasSa == 1)echo 'checked="checked"'; ?> > Sábado</td>
						    <td align="center">
						      <span>
						        <select id="cmbSa_Hi" name ="cmbSa_Hi" style="width:40px">{!! $HorasSa_Hi; !!}</select>
						        :
						        <select id="cmbSa_Mi" name ="cmbSa_Mi" style="width:40px">{!! $MinutosSa_Mi; !!}</select>
						      </span>
						    </td>
						    <td align="center">a</td>
						    <td align="center">
						      <span>
						        <select id="cmbSa_Ht" name ="cmbSa_Ht" style="width:40px">{!! $HorasSa_Ht; !!}</select>
						        :
						        <select id="cmbSa_Mt" name ="cmbSa_Mt" style="width:40px">{!! $MinutosSa_Mt; !!}</select>
						      </span>
						    </td>
						    <td align="center"><button type="button" id="btn_Todos" style="width: 50px;" onclick="setTodosDias('Sa');">Todos</button></td>
						  </tr>

						</table>
					</div>
				</div>
			  </div>
			</div>
		</div>
		<div class="rTableRow">
			<div class="rTableCell">
			  <div class="rTable">
			    <div class="rTableRow">
			      <div class="rTableCell" style="text-align: right;" id="mensajeAddPriv">&nbsp;</div><div class="rTableCell" style="width: 70px; text-alig: center;">
			      	<button type="button" onclick="upHModulo();">Guardar</button>
			      </div>
			    </div>
			  </div>
			</div>
		</div>
	</div>
